• 1 reply
  • Latest Post - ‏2012-10-05T13:08:08Z by KCamp
1 Post

Pinned topic Cognos SDK

‏2012-10-05T09:52:23Z |
We are facing an issue with Cognos SDK The issue we are facing is as follows.

Background and Issue Description
We have developed an application component using Cognos SDK which was part of Rational Insight V1.0.0.2 and it was working fine. We did a migration to Rational v1.1 after that.

After migrating to Rational Insight v1.1, the above mentioned component is not working. We came to know through the RI team that Cognos SDK is not bundled with this version and hence we got SDK v10.1.1 installed separately.

And now we are getting the below error, in the application component in Cognos SDK v10.1.1.
We copied the below jar files from the RI v1.1 SDK Java lib location
After coping this we are getting the compilation error as per the below screen shot.

snap shots attached
Updated on 2012-10-05T13:08:08Z at 2012-10-05T13:08:08Z by KCamp
  • KCamp
    20 Posts

    Re: Cognos SDK

    Would you be able to include the Problems view in your screenshot? From the screenshot I can't determine the exact error, since your syntax is correct.

    However, I can tell you that you should remove axisReportNetClient from your build path. That's a legacy interface, and your code is using the current API.